Package org.eclipse.emf.cdo.transaction

## Interface CDOMerger2

- All Superinterfaces:
    `CDOMerger`

      public interface CDOMerger2
      extends CDOMerger

  Merges the changes between a local `transaction` and a remote `view` into the local transaction. Only the changes of a set of affected `objects`, specified by the set of their `ids`, is considered.
  Since:
    4.5
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.transaction.CDOMerger

      `CDOMerger.ConflictException`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOChangeSetData` | `merge​(CDOChangeSet target, CDOChangeSet source)` | Deprecated.
    `void` | `merge​(CDOTransaction localTransaction, CDOView remoteView, java.util.Set<CDOID> affectedIDs)` |

- - ### Method Detail

    - #### merge

          @Deprecated
          CDOChangeSetData merge​(CDOChangeSet target,
                                 CDOChangeSet source)
                          throws java.lang.UnsupportedOperationException

      Deprecated.
      Description copied from interface: `CDOMerger`
      Calculates the changes between a source `change set` and a target `change set` and returns the result relative to their common ancestor.
      Specified by:
        `merge` in interface `CDOMerger`
      Throws:
        `java.lang.UnsupportedOperationException`
      No Reference
        This method is not intended to be referenced by clients.

    - #### merge

          void merge​(CDOTransaction localTransaction,
                     CDOView remoteView,
                     java.util.Set<CDOID> affectedIDs)
              throws CDOMerger.ConflictException

      Throws:
        `CDOMerger.ConflictException`